Function Do-Calculation ($window) {

    $amount        = ($window | Get-ChildControl txtAmount).Text
    $interest      = ($window | Get-ChildControl txtInterest).Text
    $numberOfYears = ($window | Get-ChildControl txtNumberOfYears).Text
    $max           = ($window | Get-ChildControl txtMax).Text
    $step          = ($window | Get-ChildControl txtStep).Text

    $window.DataContext = (
        New-Range $amount ([int]$amount+$max) $step |
            ForEach { Get-PresentValue $_ $interest $numberOfYears }
    )
}