New-Window -WindowStartupLocation CenterScreen -Width 500 -Height 500 -DataContext {
    New-Range 1000 1500 100 | % { Get-PresentValue $_ }
} {

    New-ListView -Margin 5 -DataBinding @{ ItemsSource = New-Binding } -View {
        New-GridView -Columns {
            New-GridViewColumn Amount
            New-GridViewColumn PresentValue
            New-GridViewColumn Interest
            New-GridViewColumn NumberOfYears
        }
    }
} -Show 