# A PowerShell Function with parameters
function Get-PresentValue ($Amount = 1000, $Interest = .046, $NumberOfYears = 2) {
    $Amount/[Math]::Pow((1+$Interest),-$NumberOfYears)
}

# Call the function
Get-PresentValue                   # Returns 1094.116
Get-PresentValue 2000              # Returns 2118.232
Get-PresentValue -NumberOfYears 5  # Returns 1252.15595324298