# A PowerShell Function with parameters
function Get-PresentValue ($Amount = 1000, $Interest = .046, $NumberOfYears = 2) {
    $Amount/[Math]::Pow((1+$Interest),-$NumberOfYears)
}

# Change the parameters
Get-PresentValue -NumberOfYears 10